Syncfusion AI Assistant

How can I help you?

Sizing in EJ2 JavaScript Textbox control

4 Jan 20257 minutes to read

You can render the TextBox in two different sizes.

Property Description
Normal By default, the TextBox is rendered with normal size.
Small You need to add e-small class to the cssClass property to render the TextBox in smaller size.
Bigger You need to add e-bigger class to the cssClass property to render the TextBox in bigger size
ej.base.enableRipple(true);

var normalTextBox= new ej.inputs.TextBox({
    placeholder: 'Enter the text',
    floatLabelType: 'Never',
  });
  normalTextBox.appendTo('#normal');
  var normalFloatTextBox= new ej.inputs.TextBox({
    placeholder: 'Enter the text',
    floatLabelType: 'Auto',
  });
  normalFloatTextBox.appendTo('#normalFloat');
  var normalIconTextBox= new ej.inputs.TextBox({
    placeholder: 'Enter the text',
    floatLabelType: 'Auto',
    created: function () {
      normalIconTextBox.addIcon('append', 'e-date-icon');
    },
  });
  normalIconTextBox.appendTo('#normalIcon');
  var smallTextBox= new ej.inputs.TextBox({
    placeholder: 'Enter the text',
    floatLabelType: 'Never',
    cssClass: "e-small"
  });
  smallTextBox.appendTo('#small');
  var smallFloatTextBox= new ej.inputs.TextBox({
    placeholder: 'Enter the text',
    floatLabelType: 'Auto',
    cssClass: "e-small"
  });
  smallFloatTextBox.appendTo('#smallFloat');
  var smallIconTextBox= new ej.inputs.TextBox({
    placeholder: 'Enter the text',
    floatLabelType: 'Auto',
    cssClass: "e-small",
    created: function () {
      smallIconTextBox.addIcon('append', 'e-date-icon');
    },
  });
  smallIconTextBox.appendTo('#smallIcon');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 TextBox</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 TextBox Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/21.2.3/ej2-inputs/styles/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div class='wrap'>
          <div id="input-container">

            <h4> Normal Size </h4>

            <div>
              <input id="normal" type="text" placeholder="Enter Name" />
            </div>
      
            <div >
              <input id="normalFloat"  type='text' required />
            </div>
      
            <div>
              <input id="normalIcon"  type="text" placeholder="Enter Date" />
            </div>
      
            <h4> Small Size </h4>
      
            <div >
              <input id="small" type="text" placeholder="Enter Name" />
            </div>
      
            <div >
              <input id="smallFloat" type='text' required />
            </div>
      
            <div >
              <input id="smallIcon" type="text" placeholder="Enter Date" />
            </div>



          </div>
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}

Sizing in React TextBox

9 Aug 20267 minutes to read

Render the TextBox component in three predefined sizes to match your design requirements:

Size Description CSS Class
Normal Default size rendering (no class required)
Small Compact size for space-constrained layouts e-small
Large Larger size for better visibility and touch targets e-bigger

Note: Apply size classes using the cssClass property. You can also create custom size variations by adding your own CSS classes to the TextBox component for tailored styling.

[Class-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TextBoxComponent } from '@syncfusion/ej2-react-inputs';
export default class Default extends React.Component {
    render() {
        return (<div>
          <h4> Bigger Size </h4>
      
          <TextBoxComponent
                  id='default'
                  placeholder="Enter Name"
                  floatLabelType="Auto"
                  cssClass="e-bigger"
          />
          <h4> Small Size </h4>
      
          <TextBoxComponent
                  id='textboz'
                  placeholder="Enter Name"
                  floatLabelType="Auto"
                  cssClass="e-small"
          />
          </div>)
    }
}
ReactDOM.render(<Default />, document.getElementById('input-container'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TextBoxComponent } from '@syncfusion/ej2-react-inputs';
export default class Default extends React.Component {
  public render() {
    return (<div>
      <h4> Bigger Size </h4>
  
      <TextBoxComponent
              id='default'
              placeholder="Enter Name"
              floatLabelType="Auto"
              cssClass="e-bigger"
      />
      <h4> Small Size </h4>
  
      <TextBoxComponent
              id='textboz'
              placeholder="Enter Name"
              floatLabelType="Auto"
              cssClass="e-small"
      />
      </div>)
  }
}

ReactDOM.render(<Default />, document.getElementById('input-container'));

[Functional-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TextBoxComponent } from '@syncfusion/ej2-react-inputs';
function Default() {
  return (<div>
    <h4> Bigger Size </h4>

    <TextBoxComponent
            id='default'
            placeholder="Enter Name"
            floatLabelType="Auto"
            cssClass="e-bigger"
    />
    <h4> Small Size </h4>

    <TextBoxComponent
            id='textboz'
            placeholder="Enter Name"
            floatLabelType="Auto"
            cssClass="e-small"
    />
    </div>)
}
ReactDOM.render(<Default />, document.getElementById('input-container'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TextBoxComponent } from '@syncfusion/ej2-react-inputs';
function Default() {
  return (<div>
    <h4> Bigger Size </h4>

    <TextBoxComponent
            id='default'
            placeholder="Enter Name"
            floatLabelType="Auto"
            cssClass="e-bigger"
    />
    <h4> Small Size </h4>

    <TextBoxComponent
            id='textboz'
            placeholder="Enter Name"
            floatLabelType="Auto"
            cssClass="e-small"
    />
    </div>)
}

ReactDOM.render(<Default />, document.getElementById('input-container'));

Sizing in Angular TextBox

14 Aug 20262 minutes to read

The TextBox component supports three distinct sizing options to accommodate different design requirements and user interface contexts. Each size variant maintains consistent functionality while providing visual flexibility for various application layouts.

Property Description
Normal By default, the TextBox is rendered with normal size.
Small Add the e-small class to the cssClass property to render a smaller-sized TextBox.
Large Add the e-bigger class to the cssClass property to render a larger-sized TextBox.

Implementation

Use the appropriate CSS class through the cssClass property to achieve the desired TextBox size. The small variant works well in compact interfaces or dense data entry forms, while the large variant provides better accessibility and prominence in primary input scenarios.

Note: Further customize the TextBox appearance by using the cssClass property to add custom classes that apply additional styling to meet specific design requirements.

import { FormsModule } from '@angular/forms';
import { TextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { Component } from '@angular/core';

@Component({
imports: [
        TextBoxModule,
        FormsModule
    ],

standalone: true,
    selector: 'app-root',
    template: `<div class="wrap">
                <h4> Bigger Size </h4>
                <ejs-textbox placeholder="Enter Name" floatLabelType="Auto" cssClass="e-bigger"></ejs-textbox>
                <h4> Small Size </h4>
                <ejs-textbox placeholder="Enter Name" floatLabelType="Auto" cssClass="e-small"></ejs-textbox>
              </div>`
})

export class AppComponent {
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Sizing in Vue TextBox

21 Aug 202613 minutes to read

You can render the TextBox in two different sizes.

Property Description
Normal By default, the TextBox is rendered with normal size.
Small You need to add e-small class to the input element, or else add to the input container.
<template>
  <div class='wrap'>
    <div id='input-container'>
      <h4> Normal Size </h4>
      <div class="e-input-group">
        <input class="e-input" type="text" placeholder="Enter Name" />
      </div>

      <div class="e-float-input">
        <input type='text' required />
        <span class="e-float-line"></span>
        <label class="e-float-text">Enter Name</label>
      </div>

      <div class="e-input-group">
        <input class="e-input" type="text" placeholder="Enter Date" />
        <span class="e-input-group-icon e-input-popup-date"></span>
      </div>

      <h4> Small Size </h4>

      <div class="e-input-group e-small">
        <input class="e-input" type="text" placeholder="Enter Name" />
      </div>

      <div class="e-float-input e-small">
        <input type='text' required />
        <span class="e-float-line"></span>
        <label class="e-float-text">Enter Name</label>
      </div>

      <div class="e-input-group e-small">
        <input class="e-input" type="text" placeholder="Enter Date" />
        <span class="e-input-group-icon e-input-popup-date"></span>
      </div>
    </div>
  </div>
</template>
<script setup>
import { onMounted } from 'vue';

onMounted(() => {
  let input = document.querySelectorAll('.e-input-group .e-input,.e-float-input.e-input-group input');
  let inputIcon = document.querySelectorAll('.e-input-group-icon');

  for (let i = 0; i < input.length; i++) {
    //Focus Event binding for input component
    input[i].addEventListener('focus', function () {
      getParentNode(input[i]).classList.add('e-input-focus');
    });
    //Blur Event binding for input component
    input[i].addEventListener('blur', function () {
      getParentNode(input[i]).classList.remove('e-input-focus');
    });
  }
  for (let i = 0; i < inputIcon.length; i++) {
    inputIcon[i].addEventListener('mousedown', function () {
      inputIcon[i].classList.add('e-input-btn-ripple');
    });
    inputIcon[i].addEventListener('mouseup', function () {
      setTimeout(function () {
        inputIcon[i].classList.remove('e-input-btn-ripple');
      },
        500);
    });
  }

});
const getParentNode = (element) => {
  let parentNode = element.parentNode;
  if (parentNode.classList.contains('e-input-in-wrap')) {
    return parentNode.parentNode;
  }
  return parentNode;
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}

#input-container .e-input-group {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

#input-container .e-float-input {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

.e-input-group-icon:before {
  font-family: e-icons;
}

.e-input-group .e-input-group-icon.e-input-popup-date {
  /* csslint allow: adjoining-classes */
  font-size: 16px;
}

.e-input-group.e-small .e-input-group-icon.e-input-popup-date {
  /* csslint allow: adjoining-classes */
  font-size: 14px;
}

.e-input-group-icon.e-input-popup-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-up:before {
  /* csslint allow: adjoining-classes */
  content: '\e85e';
}

.e-input-group-icon.e-input-down:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-plus:before {
  /* csslint allow: adjoining-classes */
  content: '\e7ba';
}

.e-input-group-icon.e-input-minus:before {
  /* csslint allow: adjoining-classes */
  content: '\e814';
}

.e-input-group-icon.e-input-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-left:before {
  /* csslint allow: adjoining-classes */
  content: '\e904';
}

.e-input-group-icon.e-input-right:before {
  /* csslint allow: adjoining-classes */
  content: '\e913';
}

.e-input-group-icon.e-input-reload:before {
  /* csslint allow: adjoining-classes */
  content: '\e837';
}

.e-input-group-icon.e-input-search:before {
  /* csslint allow: adjoining-classes */
  content: '\e806';
}
</style>
<template>
  <div class='wrap'>
    <div id='input-container'>
      <h4> Normal Size </h4>
      <div class="e-input-group">
        <input class="e-input" type="text" placeholder="Enter Name" />
      </div>

      <div class="e-float-input">
        <input type='text' required />
        <span class="e-float-line"></span>
        <label class="e-float-text">Enter Name</label>
      </div>

      <div class="e-input-group">
        <input class="e-input" type="text" placeholder="Enter Date" />
        <span class="e-input-group-icon e-input-popup-date"></span>
      </div>

      <h4> Small Size </h4>

      <div class="e-input-group e-small">
        <input class="e-input" type="text" placeholder="Enter Name" />
      </div>

      <div class="e-float-input e-small">
        <input type='text' required />
        <span class="e-float-line"></span>
        <label class="e-float-text">Enter Name</label>
      </div>

      <div class="e-input-group e-small">
        <input class="e-input" type="text" placeholder="Enter Date" />
        <span class="e-input-group-icon e-input-popup-date"></span>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data: function () {
    return {}
  },
  mounted: function () {
    let input = document.querySelectorAll('.e-input-group .e-input,.e-float-input.e-input-group input');
    let inputIcon = document.querySelectorAll('.e-input-group-icon');
    let localObj = this;
    for (let i = 0; i < input.length; i++) {
      //Focus Event binding for input component
      input[i].addEventListener('focus', function () {
        localObj.getParentNode(input[i]).classList.add('e-input-focus');
      });
      //Blur Event binding for input component
      input[i].addEventListener('blur', function () {
        localObj.getParentNode(input[i]).classList.remove('e-input-focus');
      });
    }
    for (let i = 0; i < inputIcon.length; i++) {
      inputIcon[i].addEventListener('mousedown', function () {
        this.classList.add('e-input-btn-ripple');
      });
      inputIcon[i].addEventListener('mouseup', function () {
        let ele = this;
        setTimeout(function () {
          ele.classList.remove('e-input-btn-ripple');
        },
          500);
      });
    }

  },
  methods: {
    getParentNode: function (element) {
      let parentNode = element.parentNode;
      if (parentNode.classList.contains('e-input-in-wrap')) {
        return parentNode.parentNode;
      }
      return parentNode;
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}

#input-container .e-input-group {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

#input-container .e-float-input {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

.e-input-group-icon:before {
  font-family: e-icons;
}

.e-input-group .e-input-group-icon.e-input-popup-date {
  /* csslint allow: adjoining-classes */
  font-size: 16px;
}

.e-input-group.e-small .e-input-group-icon.e-input-popup-date {
  /* csslint allow: adjoining-classes */
  font-size: 14px;
}

.e-input-group-icon.e-input-popup-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-up:before {
  /* csslint allow: adjoining-classes */
  content: '\e85e';
}

.e-input-group-icon.e-input-down:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-plus:before {
  /* csslint allow: adjoining-classes */
  content: '\e7ba';
}

.e-input-group-icon.e-input-minus:before {
  /* csslint allow: adjoining-classes */
  content: '\e814';
}

.e-input-group-icon.e-input-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-left:before {
  /* csslint allow: adjoining-classes */
  content: '\e904';
}

.e-input-group-icon.e-input-right:before {
  /* csslint allow: adjoining-classes */
  content: '\e913';
}

.e-input-group-icon.e-input-reload:before {
  /* csslint allow: adjoining-classes */
  content: '\e837';
}

.e-input-group-icon.e-input-search:before {
  /* csslint allow: adjoining-classes */
  content: '\e806';
}
</style>